order_id as a path parameter.| Object | Description |
|---|---|
| Customer | It can be modified if there's no associated customer or if the customer is guest. |
| Receiver | It can be modified if the order status isn't marked as completed. |
| Shipping | It can be modified if the order status isn't marked as completed. |
| Payments | It can be modified if the order status is set to pending. |
| Coupon | It can be modified if the order status isn't marked as completed. |
ship_to object as follows:countrycityaddress_linestreet_numberblockshort_addressbuilding_numberadditional_numberpostal_codegeo_coordinatesdata.checkout_url and data.rating_link will be deprecatedurlsdata.urls.checkout and data.urls.rating.items.codes and items.files, are deprecated. We recommenddata.urls.digital_content variable.orders.read_write - Orders Read & WriteAuthorization: Bearer ********************// Customer object details to update
{
"customer": {
"id": 1209983424,
"name": "new name",
"mobile": "+966566666666",
"email": "[email protected]"
}
}
// Reciever object details to update
{
"receiver": {
"name": "i am the one",
"country_code": "SA",
"phone": "966566666666",
"email": "[email protected]",
"notify": false
}
}
// Shipping object details to update
{
"delivery_method": "shipping",
"branch_id": 203948803,
"courier_id": 1433878184,
"ship_to": {
"country": 1473353380,
"city": 1939592358,
"district": 1939592358,
"block": "Apt. 836",
"street_number": "8230",
"address": "24453 Rosalinda Well",
"address_line": "West",
"postal_code": "51434",
"geo_coordinates": {
"lat": 79.0225,
"lng": 53.5041
}
}
}
// Payment object details to update
{
"payment": {
"status": "paid",
"method": "bank",
"store_bank_id": 234234,
"receipt_image_path": "url",
"accepted_methods": [
"bank",
"credit_card"
],
"cash_on_delivery": {
"amount": 10,
"currency": "SAR"
}
}
}
// Attach Coupon variable detail to update
{
"coupon_code": "CO123123"
}
// Assign Order to one employee or more
{
"employees": [
1764372897,
187291202
]
}curl --location --request PUT 'https://api.salla.dev/admin/v2/orders/3155923424' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '// Customer object details to update
{
"customer": {
"id": 1209983424,
"name": "new name",
"mobile": "+966566666666",
"email": "[email protected]"
}
}
// Reciever object details to update
{
"receiver": {
"name": "i am the one",
"country_code": "SA",
"phone": "966566666666",
"email": "[email protected]",
"notify": false
}
}
// Shipping object details to update
{
"delivery_method": "shipping",
"branch_id": 203948803,
"courier_id": 1433878184,
"ship_to": {
"country": 1473353380,
"city": 1939592358,
"district": 1939592358,
"block": "Apt. 836",
"street_number": "8230",
"address": "24453 Rosalinda Well",
"address_line": "West",
"postal_code": "51434",
"geo_coordinates": {
"lat": 79.0225,
"lng": 53.5041
}
}
}
// Payment object details to update
{
"payment": {
"status": "paid",
"method": "bank",
"store_bank_id": 234234,
"receipt_image_path": "url",
"accepted_methods": [
"bank",
"credit_card"
],
"cash_on_delivery": {
"amount": 10,
"currency": "SAR"
}
}
}
// Attach Coupon variable detail to update
{
"coupon_code": "CO123123"
}
// Assign Order to one employee or more
{
"employees": [
1764372897,
187291202
]
}'{
"status": 200,
"success": true,
"data": {
"id": 1107722485,
"external_order_id": null,
"external_reference_id": null,
"checkout_id": "3058806946742845435",
"reference_id": 279766354,
"urls": {
"customer": "https://demostore.salla.sa/dev-qemdv5vldnohhhpq/account/orders/XArYbdA",
"admin": "https://s.salla.sa/orders/order/gdpNzmxoKnvLW0le85bXWyZR5DBAqwPl",
"rating": null,
"digital_content": null,
"gift_confirmation": null
},
"date": {
"date": "2026-08-24 17:38:20.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"updated_at": {
"date": "2026-08-24 17:53:08.647345",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"source": "223306543",
"draft": false,
"read": false,
"source_details": {
"type": "223306543",
"value": null,
"device": "desktop",
"user-agent": "PostmanRuntime/7.56.1",
"utm_source": "",
"utm_campaign": "",
"utm_medium": "",
"utm_term": "",
"utm_content": "",
"ip": "192.0.2.1"
},
"status": {
"id": 566146469,
"name": "بإنتظار المراجعة",
"slug": "under_review",
"customized": {
"id": 1503099289,
"name": "بإنتظار المراجعة"
}
},
"payment_method": "cod",
"payment_methods": [
{
"amount": 0,
"payment_method": "cod",
"transaction_reference": null
}
],
"receipt_image": null,
"currency": "SAR",
"amounts": {
"sub_total": {
"amount": 200,
"currency": "SAR"
},
"shipping_cost": {
"amount": 0,
"currency": "SAR",
"original_cost": 0,
"shipping_cost_discount": 0
},
"cash_on_delivery": {
"amount": 9000,
"currency": "SAR"
},
"tax": {
"percent": "15.00",
"amount": {
"amount": 30,
"currency": "SAR"
}
},
"discounts": [],
"total": {
"amount": 230,
"currency": "SAR"
}
},
"exchange_rate": {
"base_currency": "SAR",
"exchange_currency": "SAR",
"rate": "1.00000000"
},
"scope_exchange_rate": null,
"campaign": {
"medium": "",
"source": "",
"campaign": ""
},
"gateway": null,
"show_weight": false,
"shipping_status": "shipping_ready",
"pending_payment_ends_at": 74711,
"total_weight": "٢٤ كجم",
"type": "normal",
"is_overweighted": false,
"has_customer_session": false,
"features": {
"shippable": true,
"is_international": false,
"internationally_shippable": false,
"digitalable": false,
"pickable": true,
"multiple_shipments_supported": false,
"order_type_price_quote": false,
"has_suspicious_alert": false,
"bullet_delivery": {
"is_bullet_delivery": false,
"bullet_countdown": 0,
"on_demand_countdown": 0,
"on_demand_delivery": false,
"on_demand_timer": false
},
"wallet": true
},
"receiver": null,
"actions": {
"cancellable": false,
"reorderable": true,
"payable": false
},
"accepted_payment_methods": [
""
],
"payment_actions": {
"refund_action": {
"refunded_transactions": [],
"pending_refund_amount": null,
"has_refund_amount": false,
"payment_method_label": "دفع عند التسليم",
"can_print_refund_invoice": false,
"paid_amount": {
"amount": 0,
"currency": "SAR"
},
"refund_amount": {
"amount": 0,
"currency": "SAR"
},
"loyalty_point_programs": [],
"can_send_sms": false,
"can_send_sms_msg": "يرجى تفعيل احد مزودين خدمة SMS من صفحة ربط الخدمات",
"can_refund_loyalty_prize_points": false,
"can_restore_loyalty_buy_from_store_points": false,
"can_refund_to_wallet": true
},
"remaining_action": {
"has_remaining_amount": false,
"payment_method_label": "دفع عند التسليم",
"paid_amount": {
"amount": 0,
"currency": "SAR"
},
"checkout_url": "",
"remaining_amount": null
}
},
"address_incomplete": false,
"customer": {
"id": 1720098890,
"full_name": "فيصل الدوسري",
"first_name": "فيصل",
"last_name": "الدوسري",
"mobile": 500000000,
"mobile_code": "+966",
"email": "[email protected]",
"urls": {
"customer": "https://demostore.salla.sa/dev-qemdv5vldnohhhpq/account/profile",
"admin": "https://s.salla.sa/customers/wRK4mBzAZN081YbNvekal23kYrbxqP7j"
},
"avatar": "https://cdn.assets.salla.network/prod/admin/cp/assets/images/avatar_male.png",
"gender": "",
"birthday": null,
"city": "",
"country": "السعودية",
"country_code": "",
"currency": "",
"location": "",
"lang": "ar",
"created_at": {
"date": "2026-07-21 22:58:25.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"updated_at": {
"date": "2026-07-21 22:58:25.000000",
"timezone_type": 3,
"timezone": "Asia/Riyadh"
},
"type": "user",
"groups": []
},
"notes": null,
"fraud_reasons": [],
"bank": null,
"tags": []
}
}